# PluginManagementSpec

API Documentation: | `PluginManagementSpec`

Configures how plugins are resolved.

### Properties

No properties

### Methods

Method | Description
`includeBuild(rootProject)` | Incubating Includes a plugin build at the specified path to the composite build. Included plugin builds can contribute settings and project plugins.
`includeBuild(rootProject, configuration)` | Incubating Includes a plugin build at the specified path to the composite build, with the supplied configuration. Included plugin builds can contribute settings and project plugins.
`plugins(action)` | Configure the default plugin versions.
`repositories(repositoriesAction)` | Defines the plugin repositories to use.
`resolutionStrategy(action)` | Configure the plugin resolution strategy.

### Script blocks

No script blocks

### Method details

#### `void` `includeBuild`(`String` rootProject)

Note: This method is incubating and may change in a future version of Gradle.

Includes a plugin build at the specified path to the composite build. Included plugin builds can contribute settings and project plugins.

#### `void` `includeBuild`(`String` rootProject, ``Action`<`ConfigurableIncludedPluginBuild`>` configuration)

Note: This method is incubating and may change in a future version of Gradle.

Includes a plugin build at the specified path to the composite build, with the supplied configuration. Included plugin builds can contribute settings and project plugins.

#### `void` `plugins`(``Action`<? super `PluginDependenciesSpec`>` action)

Configure the default plugin versions.

#### `void` `repositories`(``Action`<? super `RepositoryHandler`>` repositoriesAction)

Defines the plugin repositories to use.

#### `void` `resolutionStrategy`(``Action`<? super `PluginResolutionStrategy`>` action)

Configure the plugin resolution strategy.